Subject: bug#50630: [PATCH] Add tests for insert-directory

From: Eli Zaretskii <[email-masked]>
Date: Sat, 25 Sep 2021 22:07:39 +0300

> Date: Sat, 25 Sep 2021 19:00:14 +0000
> From: John Cummings <[email-masked]>
> Cc: [email-masked]
> 
> So are we in agreement about these 3 things below?
> 
> 1. insert-directory in files.el used to be able to show the incorrect free
>    space for its FILE arg. The same function in ls-lisp.el and tramp-sh.el
>    continues to be able to show the incorrect free space today.
> 
> 2. The recipes/instructions I sent will be able to confirm this
> 
> 3. This should be changed because insert-directory should not be able to
>    insert free space info that is not correct for its FILE arg.

Yes.  But how exactly to fix this in ls-lisp remains to be seen.  I
think I know how, and I'm asking you to have your tests installed so I
could try my idea conveniently.

Thanks in advance.